<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   close="titlewindowCloseHandler(event)" creationComplete="creationCompleteHandler(event)" title="Pesquisa de Fornecedor" xmlns:visual="br.com.desenv.framework.component.visual.*"
			   maxWidth="1200" height="570">
	
	<fx:Style source="../../../framework/util/estilo.css"/>
	
	
	<fx:Metadata>
		[Event(name="FornecedorSelecionadoEvent")]
	</fx:Metadata>
	
	<fx:Script>
		<![CDATA[
			import mx.collections.ArrayCollection;
			import mx.controls.Alert;
			import mx.controls.DateField;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.formatters.DateFormatter;
			import mx.managers.PopUpManager;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.validators.Validator;
			
			import spark.events.IndexChangeEvent;
			
			import br.com.desenv.nepalign.vo.Atividade;
			import br.com.desenv.nepalign.vo.CategoriaFornecedor;
			import br.com.desenv.nepalign.vo.Cidade;
			import br.com.desenv.nepalign.vo.ClassificacaoFornecedor;
			import br.com.desenv.nepalign.vo.Fornecedor;
			import br.com.desenv.nepalign.vo.NaturezaFornecedor;
			import br.com.desenv.nepalign.vo.Operadora;
			import br.com.desenv.nepalign.vo.Page;
			import br.com.desenv.nepalign.vo.StatusEntidade;
			import br.com.desenv.nepalign.vo.TipoPessoa;
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			
			[Bindable]
			public var listaFornecedor: ArrayCollection = new ArrayCollection();
			private var pageNumber: int = 1;
			private var totalRecords: int;
			private var pageSize: int = 15;
			private var lastPage: int = 1;
			
			
			[Bindable]
			private var listaOperadoraTelefonePesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaStatusEntidadePesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaCidadePesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaAtividadePesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaNaturezaFornecedorPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaCategoriaFornecedorPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaClassificacaoFornecedorPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaOperadoraFaxPesquisa: ArrayCollection = new ArrayCollection();
			[Bindable]
			private var listaTipoPessoaPesquisa: ArrayCollection = new ArrayCollection();

			
			private var fornecedorComponenteDetalhe: FornecedorComponenteDetalhe;

			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
// ---------------------------------- FUNCOES DE INICIALIZACAO E FINALIZACAO --------------------------------			
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			
			// Indica todas as validacoes necessarias
			private function carregarListaValidacao(): void
			{ 
				//implemente aqui outros validadores se necessario
			}

			private function montarObjetoFiltro(): Fornecedor
			{
				var fornecedorFiltro: Fornecedor = new Fornecedor();
				
				fornecedorFiltro.tipoPessoa = ignComboBoxAutoCompleteTipoPessoaPesquisa.selectedItem;
				fornecedorFiltro.dataCadastro = ignTextInputDateDataCadastroPesquisa.text == ""?null:DateField.stringToDate(ignTextInputDateDataCadastroPesquisa.text, "DD/MM/YYYY");
				fornecedorFiltro.nomeFantasia = ignTextInputNomeFantasiaPesquisa.text == ""?null:"%"+ignTextInputNomeFantasiaPesquisa.text+"%";
				fornecedorFiltro.razaoSocial = ignTextInputRazaoSocialPesquisa.text == ""?null:"%"+ignTextInputRazaoSocialPesquisa.text+"%";
				fornecedorFiltro.cnpjCpf = ignTextInputCpfCnpjCnpjCpfPesquisa.text == ""?null:ignTextInputCpfCnpjCnpjCpfPesquisa.text;
				fornecedorFiltro.inscricaoEstadualRg = ignTextInputInscricaoEstadualRgPesquisa.text == ""?null:ignTextInputInscricaoEstadualRgPesquisa.text;
				fornecedorFiltro.atividade = ignComboBoxAutoCompleteAtividadePesquisa.selectedItem;
				fornecedorFiltro.statusEntidade = ignComboBoxAutoCompleteStatusEntidadePesquisa.selectedItem;
				//fornecedorFiltro.nomeEtiqueta = ignTextInputNomeEtiquetaPesquisa.text == ""?null:ignTextInputNomeEtiquetaPesquisa.text;
				fornecedorFiltro.enderecoFornecedor = ignTextInputEnderecoFornecedorPesquisa.text == ""?null:"%"+ignTextInputEnderecoFornecedorPesquisa.text+"%";
				fornecedorFiltro.complementoEndereco = ignTextInputComplementoEnderecoPesquisa.text == ""?null:"%"+ignTextInputComplementoEnderecoPesquisa.text+"%";
				fornecedorFiltro.bairro = ignTextInputBairroPesquisa.text == ""?null:"%"+ignTextInputBairroPesquisa.text+"%";
				fornecedorFiltro.cep = ignTextInputCepCepPesquisa.text == ""?null:ignTextInputCepCepPesquisa.text;
				fornecedorFiltro.cidade = ignComboBoxAutoCompleteCidadePesquisa.selectedItem;
				fornecedorFiltro.contato = ignTextInputContatoPesquisa.text == ""?null:ignTextInputContatoPesquisa.text;
				fornecedorFiltro.operadoraTelefone = ignComboBoxAutoCompleteOperadoraTelefonePesquisa.selectedItem;
				fornecedorFiltro.telefone = ignTextInputFoneTelefonePesquisa.text == ""?null:ignTextInputFoneTelefonePesquisa.text;
				fornecedorFiltro.fax = ignTextInputFoneFaxPesquisa.text == ""?null:ignTextInputFoneFaxPesquisa.text;
				//fornecedorFiltro.observacao = ignTextAreaObservacaoPesquisa.text == ""?null:ignTextAreaObservacaoPesquisa.text;
				//fornecedorFiltro.comentario = ignTextInputComentarioPesquisa.text == ""?null:ignTextInputComentarioPesquisa.text;
				fornecedorFiltro.email = ignTextInputEmailPesquisa.text == ""?null:ignTextInputEmailPesquisa.text;
				fornecedorFiltro.inscricaoMunicipal = ignTextInputInscricaoMunicipalPesquisa.text == ""?null:ignTextInputInscricaoMunicipalPesquisa.text;
				fornecedorFiltro.classificacaoFornecedor = ignComboBoxAutoCompleteClassificacaoFornecedorPesquisa.selectedItem; 
				fornecedorFiltro.categoriaFornecedor = ignComboBoxAutoCompleteCategoriaFornecedorPesquisa.selectedItem; 
				fornecedorFiltro.naturezaFornecedor = ignComboBoxAutoCompleteNaturezaFornecedorPesquisa.selectedItem;
				fornecedorFiltro.numeroEndereco = ignTextInputNumeroEnderecoPesquisa.text == ""?null:ignTextInputNumeroEnderecoPesquisa.text;
				fornecedorFiltro.operadoraFax = ignComboBoxAutoCompleteOperadoraFaxPesquisa.selectedItem;
				return fornecedorFiltro;
			}
			
			private function creationCompleteHandler( event: FlexEvent ): void 
			{
				carregarListaValidacao();
				
				var remoteObjectFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("fornecedorService", listarResultHandler);	
				
				var remoteObjectOperadoraTelefone: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("operadoraService", listarOperadoraTelefonePesquisaResultHandler);	
				remoteObjectOperadoraTelefone.getOperation("listar").send();
				var remoteObjectStatusEntidade: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("statusEntidadeService", listarStatusEntidadePesquisaResultHandler);	
				remoteObjectStatusEntidade.getOperation("listar").send();
				var remoteObjectCidade: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("cidadeService", listarCidadePesquisaResultHandler);	
				remoteObjectCidade.getOperation("listar").send();
				var remoteObjectAtividade: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("atividadeService", listarAtividadePesquisaResultHandler);	
				remoteObjectAtividade.getOperation("listar").send();
				var remoteObjectNaturezaFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("naturezaFornecedorService", listarNaturezaFornecedorPesquisaResultHandler);	
				remoteObjectNaturezaFornecedor.getOperation("listar").send();
				var remoteObjectCategoriaFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("categoriaFornecedorService", listarCategoriaFornecedorPesquisaResultHandler);	
				remoteObjectCategoriaFornecedor.getOperation("listar").send();
				var remoteObjectClassificacaoFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("classificacaoFornecedorService", listarClassificacaoFornecedorPesquisaResultHandler);	
				remoteObjectClassificacaoFornecedor.getOperation("listar").send();
				var remoteObjectOperadoraFax: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("operadoraService", listarOperadoraFaxPesquisaResultHandler);	
				remoteObjectOperadoraFax.getOperation("listar").send();
				var remoteObjectTipoPessoa: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("tipoPessoaService", listarTipoPessoaPesquisaResultHandler);	
				remoteObjectTipoPessoa.getOperation("listar").send();
				
				var fornecedorFiltro: Fornecedor = new Fornecedor();
				remoteObjectFornecedor.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1, fornecedorFiltro); 
			}
			
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
// ---------------------------------- RETORNO DA FUNCAO LISTAR  --------------------------------	
			
			private function listarResultHandler( event: ResultEvent ): void {
				var paginaFornecedor: Page = event.result as Page;
				pageNumber = paginaFornecedor.pageNumber;
				totalRecords = paginaFornecedor.totalRecords;
				lastPage = paginaFornecedor.lastPage();
				listaFornecedor = paginaFornecedor.recordList;
				labelPaginaAtual.text = "" + paginaFornecedor.pageNumber;
				labelTotalRegistro.text = "Total de Registros " + paginaFornecedor.totalRecords;
			}

// CARREGANDO COMBOS			
			private function listarOperadoraTelefonePesquisaResultHandler( event: ResultEvent ): void 
			{
				listaOperadoraTelefonePesquisa = event.result as ArrayCollection;
				listaOperadoraTelefonePesquisa.addItemAt(null, 0);
			}
			private function listarStatusEntidadePesquisaResultHandler( event: ResultEvent ): void 
			{
				listaStatusEntidadePesquisa = event.result as ArrayCollection;
				listaStatusEntidadePesquisa.addItemAt(null, 0);
			}
			private function listarCidadePesquisaResultHandler( event: ResultEvent ): void 
			{
				listaCidadePesquisa = event.result as ArrayCollection;
				listaCidadePesquisa.addItemAt(null, 0);
			}
			private function listarAtividadePesquisaResultHandler( event: ResultEvent ): void 
			{
				listaAtividadePesquisa = event.result as ArrayCollection;
				listaAtividadePesquisa.addItemAt(null, 0);
			}
			private function listarNaturezaFornecedorPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaNaturezaFornecedorPesquisa = event.result as ArrayCollection;
				listaNaturezaFornecedorPesquisa.addItemAt(null, 0);
			}
			private function listarCategoriaFornecedorPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaCategoriaFornecedorPesquisa = event.result as ArrayCollection;
				listaCategoriaFornecedorPesquisa.addItemAt(null, 0);
			}
			private function listarClassificacaoFornecedorPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaClassificacaoFornecedorPesquisa = event.result as ArrayCollection;
				listaClassificacaoFornecedorPesquisa.addItemAt(null, 0);
			}
			private function listarOperadoraFaxPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaOperadoraFaxPesquisa = event.result as ArrayCollection;
				listaOperadoraFaxPesquisa.addItemAt(null, 0);
			}
			private function listarTipoPessoaPesquisaResultHandler( event: ResultEvent ): void 
			{
				listaTipoPessoaPesquisa = event.result as ArrayCollection;
				listaTipoPessoaPesquisa.addItemAt(null, 0);
			}

// ---------------------------------- ADICIONAR DINAMICAMENTE  --------------------------------				
	
			
			
// -------------FUNCAO DE FILTRAR  -------------------------------------------------------			

			private function buttonFiltrarClickHandler( event: MouseEvent ): void {
				if (validar(event))
				{
					var remoteObjectFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("fornecedorService", listarResultHandler);	
					remoteObjectFornecedor.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1, montarObjetoFiltro());
				}	 
			}
			
// -------------FUNCOES DE INSERIR E ATUALIZAR  -------------------------------------------------------			

			private function buttonInserir_clickHandler( event: MouseEvent): void 
			{
				var fornecedorComponenteCadastro: FornecedorComponenteCadastro = new FornecedorComponenteCadastro();
				fornecedorComponenteCadastro.fornecedor = new Fornecedor(); 
				fornecedorComponenteCadastro.addEventListener("FornecedorIncluidoEvent", atualizarListaFornecedorPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(fornecedorComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(fornecedorComponenteCadastro);
			}
			
			protected function buttonFechar_clickHandler(event:MouseEvent):void
			{
				var fornecedorSelecionado: Fornecedor = datagridListaFornecedor.selectedItem as Fornecedor;
				this.dispatchEvent(new ResultEvent("FornecedorSelecionadoEvent",false, true, fornecedorSelecionado, null, null));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function datagridListaFornecedor_doubleClickHandler(event:MouseEvent):void
			{
				fornecedorComponenteDetalhe = new FornecedorComponenteDetalhe();
				fornecedorComponenteDetalhe.fornecedor = datagridListaFornecedor.selectedItem as Fornecedor;
				fornecedorComponenteDetalhe.addEventListener("FornecedorExcluidoEvent", atualizarListaFornecedorPorExclusaoResultHandler);
				fornecedorComponenteDetalhe.addEventListener("FornecedorAtualizadoEvent", atualizarListaFornecedorPorAtualizacaoResultHandler);
				UPCPopUpManager.instance.addPopUp(fornecedorComponenteDetalhe, this, true);
				UPCPopUpManager.instance.centerWindow(fornecedorComponenteDetalhe);
			}
			
			
			private function atualizarListaFornecedorPorInclusaoResultHandler(e:Event):void
			{
				var remoteObjectFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("fornecedorService", listarResultHandler);	
				remoteObjectFornecedor.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage, montarObjetoFiltro()); 
			}
			
			private function atualizarListaFornecedorPorAtualizacaoResultHandler(e:Event):void
			{
				var remoteObjectFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("fornecedorService", listarResultHandler);	
				remoteObjectFornecedor.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, pageNumber, montarObjetoFiltro()); 
				
			}
			
			
			private function atualizarListaFornecedorPorExclusaoResultHandler(e:Event):void
			{
				var remoteObjectFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("fornecedorService", listarResultHandler);	
				remoteObjectFornecedor.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, pageNumber, montarObjetoFiltro()); 
			}
			
			
			
			
		
// -------------FUNCOES DE NAVEGACAO -------------------------------------------------------			
			protected function linkButtonProximaPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("fornecedorService", listarResultHandler);	

				if (pageNumber < lastPage)
				{
					remoteObjectFornecedor.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, (pageNumber + 1), montarObjetoFiltro());
				}
				else
				{
					remoteObjectFornecedor.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage, montarObjetoFiltro());
				}				
			}
			
			protected function linkButtonAnteriorPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("fornecedorService", listarResultHandler);	
				
				if (pageNumber > 1)
				{
					remoteObjectFornecedor.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, (pageNumber - 1) , montarObjetoFiltro());
				}
				else
				{
					remoteObjectFornecedor.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1 , montarObjetoFiltro());
				}
			}
			
			protected function linkButtonPrimeiraPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("fornecedorService", listarResultHandler);	
				remoteObjectFornecedor.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, 1 , montarObjetoFiltro()); 
			}
			
			protected function linkButtonUltimaPagina_clickHandler(event:MouseEvent):void
			{
				var remoteObjectFornecedor: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("fornecedorService", listarResultHandler);	
				remoteObjectFornecedor.getOperation("listarPaginadoPorObjetoFiltro").send(pageSize, lastPage , montarObjetoFiltro()); 
			}
			
			protected function mudarComboBoxAutoComplete_changeHandler(event:IndexChangeEvent):void
			{
				if(ignComboBoxAutoCompleteCidadePesquisa.selectedIndex == 0)
					ignComboBoxAutoCompleteCidadePesquisa.selectedIndex = -1;
				
				if(ignComboBoxAutoCompleteOperadoraTelefonePesquisa.selectedIndex == 0)
					ignComboBoxAutoCompleteOperadoraTelefonePesquisa.selectedIndex = -1;
				
				if(ignComboBoxAutoCompleteOperadoraFaxPesquisa.selectedIndex == 0)
					ignComboBoxAutoCompleteOperadoraFaxPesquisa.selectedIndex = -1;
				
				if(ignComboBoxAutoCompleteClassificacaoFornecedorPesquisa.selectedIndex == 0)
					ignComboBoxAutoCompleteClassificacaoFornecedorPesquisa.selectedIndex = -1;
				
				if(ignComboBoxAutoCompleteTipoPessoaPesquisa.selectedIndex == 0)
					ignComboBoxAutoCompleteTipoPessoaPesquisa.selectedIndex = -1;
				
				if(ignComboBoxAutoCompleteNaturezaFornecedorPesquisa.selectedIndex == 0)
					ignComboBoxAutoCompleteNaturezaFornecedorPesquisa.selectedIndex = -1;
				
				if(ignComboBoxAutoCompleteStatusEntidadePesquisa.selectedIndex == 0)
					ignComboBoxAutoCompleteStatusEntidadePesquisa.selectedIndex = -1;
				
				if(ignComboBoxAutoCompleteAtividadePesquisa.selectedIndex == 0)
					ignComboBoxAutoCompleteAtividadePesquisa.selectedIndex = -1;
				
				if(ignComboBoxAutoCompleteCategoriaFornecedorPesquisa.selectedIndex == 0)
					ignComboBoxAutoCompleteCategoriaFornecedorPesquisa.selectedIndex = -1;
				
				
			}
			
			private function formatDate(item:Object,column:DataGridColumn):String
			{
				var dateformatter:DateFormatter = new DateFormatter();
				
				dateformatter.formatString = "DD/MM/YYYY";
				return dateformatter.format(item[column.dataField]);
			}
	]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
	</fx:Declarations>
<mx:VBox x="15" y="5" maxHeight="650" maxWidth="1200">	
	<mx:Accordion width="100%" height="200" id="accordion" selectedIndex="0" historyManagementEnabled="false" creationPolicy="all">
		<mx:Grid label="Principal" styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto">
		<mx:GridRow>
			<mx:GridItem colSpan="6" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>	
			<mx:GridRow>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Nome Fantasia:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoNomeFantasiaPesquisa" styleName="labelValidacao" text="{ignTextInputNomeFantasiaPesquisa.errorString}"/>
						<visual:IgnTextInput id="ignTextInputNomeFantasiaPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
				
				
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Razão Social:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoRazaoSocialPesquisa" styleName="labelValidacao" text="{ignTextInputRazaoSocialPesquisa.errorString}"/>
						<visual:IgnTextInput id="ignTextInputRazaoSocialPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="CNPJ/CPF:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoCnpjCpfPesquisa" styleName="labelValidacao" text="{ignTextInputCpfCnpjCnpjCpfPesquisa.errorString}"/>
						<visual:IgnTextInputCpfCnpj id="ignTextInputCpfCnpjCnpjCpfPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
				
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem styleName="gridLabel">
					<s:Label text="IE/RG:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoInscricaoEstadualRgPesquisa" styleName="labelValidacao" text="{ignTextInputInscricaoEstadualRgPesquisa.errorString}"/>
						<visual:IgnTextInput id="ignTextInputInscricaoEstadualRgPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
					</s:VGroup>
				</mx:GridItem>
	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Inscrição Municipal:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoInscricaoMunicipalPesquisa" styleName="labelValidacao" text="{ignTextInputInscricaoMunicipalPesquisa.errorString}"/>
					<visual:IgnTextInput id="ignTextInputInscricaoMunicipalPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Data do Cadastro:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoDataCadastroPesquisa" styleName="labelValidacao" text="{ignTextInputDateDataCadastroPesquisa.errorString}"/>
					<visual:IgnTextInputDate id="ignTextInputDateDataCadastroPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		
	
	</mx:Grid>
	<mx:Grid label="Busca por Endereço">
	
		<mx:GridRow>
				<mx:GridItem styleName="gridLabel">
				<s:Label text="Endereço:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoEnderecoFornecedorPesquisa" styleName="labelValidacao" text="{ignTextInputEnderecoFornecedorPesquisa.errorString}"/>
					<visual:IgnTextInput id="ignTextInputEnderecoFornecedorPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Número:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoNumeroEnderecoPesquisa" styleName="labelValidacao" text="{ignTextInputNumeroEnderecoPesquisa.errorString}"/>
					<visual:IgnTextInput id="ignTextInputNumeroEnderecoPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" width="150"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Bairro:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoBairroPesquisa" styleName="labelValidacao" text="{ignTextInputBairroPesquisa.errorString}"/>
					<visual:IgnTextInput id="ignTextInputBairroPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>	
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Complemento:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoComplementoEnderecoPesquisa" styleName="labelValidacao" text="{ignTextInputComplementoEnderecoPesquisa.errorString}"/>
					<visual:IgnTextInput id="ignTextInputComplementoEnderecoPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Cidade:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoCidadePesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteCidadePesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteCidadePesquisa" dataProvider="{listaCidadePesquisa}" labelField="nome" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" change="mudarComboBoxAutoComplete_changeHandler(event)"/>
				</s:VGroup>
			</mx:GridItem>		

			<mx:GridItem styleName="gridLabel">
				<s:Label text="Cep:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoCepPesquisa" styleName="labelValidacao" text="{ignTextInputCepCepPesquisa.errorString}"/>
					<visual:IgnTextInputCep id="ignTextInputCepCepPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Contato:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoContatoPesquisa" styleName="labelValidacao" text="{ignTextInputContatoPesquisa.errorString}"/>
					<visual:IgnTextInput id="ignTextInputContatoPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>

			<mx:GridItem styleName="gridLabel">
				<s:Label text="Telefone:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoOperadoraTelefonePesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteOperadoraTelefonePesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteOperadoraTelefonePesquisa" dataProvider="{listaOperadoraTelefonePesquisa}" labelField="nome" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" width="100" change="mudarComboBoxAutoComplete_changeHandler(event)"/>
				</s:VGroup>

				<s:VGroup>
					<s:Label id="labelValidacaoTelefonePesquisa" styleName="labelValidacao" text="{ignTextInputFoneTelefonePesquisa.errorString}"/>
					<visual:IgnTextInputFone id="ignTextInputFoneTelefonePesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>

			<mx:GridItem styleName="gridLabel">
				<s:Label text="Fax:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoOperadoraFaxPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteOperadoraFaxPesquisa.errorString}" />
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteOperadoraFaxPesquisa" dataProvider="{listaOperadoraFaxPesquisa}" labelField="nome" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" width="100" change="mudarComboBoxAutoComplete_changeHandler(event)"/>
				</s:VGroup>
		
				<s:VGroup>
					<s:Label id="labelValidacaoFaxPesquisa" styleName="labelValidacao" text="{ignTextInputFoneFaxPesquisa.errorString}"/>
					<visual:IgnTextInputFone id="ignTextInputFoneFaxPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		
	</mx:Grid>
	<mx:Grid label="Outras Informações">
		<!--
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Observação:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoObservacaoPesquisa" styleName="labelValidacao" text="{ignTextAreaObservacaoPesquisa.errorString}"/>
					<visual:IgnTextArea id="ignTextAreaObservacaoPesquisa" width="100%" heightInLines="5"  obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>


			<mx:GridItem styleName="gridLabel">
				<s:Label text="Comentário:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoComentarioPesquisa" styleName="labelValidacao" text="{ignTextInputComentarioPesquisa.errorString}"/>
					<visual:IgnTextInput id="ignTextInputComentarioPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>


		</mx:GridRow>
		-->
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="E-mail:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoEmailPesquisa" styleName="labelValidacao" text="{ignTextInputEmailPesquisa.errorString}"/>
					<visual:IgnTextInput id="ignTextInputEmailPesquisa" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>

			<mx:GridItem styleName="gridLabel">
				<s:Label text="Classificação Fornecedor:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoClassificacaoFornecedorPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteClassificacaoFornecedorPesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteClassificacaoFornecedorPesquisa" dataProvider="{listaClassificacaoFornecedorPesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" change="mudarComboBoxAutoComplete_changeHandler(event)"/>
				</s:VGroup>
			</mx:GridItem>		
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Tipo Pessoa:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoTipoPessoaPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteTipoPessoaPesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteTipoPessoaPesquisa" dataProvider="{listaTipoPessoaPesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" change="mudarComboBoxAutoComplete_changeHandler(event)"/>
				</s:VGroup>
			</mx:GridItem>
		
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Natureza do Fornecedor:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoNaturezaFornecedorPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteNaturezaFornecedorPesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteNaturezaFornecedorPesquisa" dataProvider="{listaNaturezaFornecedorPesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" change="mudarComboBoxAutoComplete_changeHandler(event)"/>
				</s:VGroup>
			</mx:GridItem>		
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Status da Entidade:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoStatusEntidadePesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteStatusEntidadePesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteStatusEntidadePesquisa" dataProvider="{listaStatusEntidadePesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" change="mudarComboBoxAutoComplete_changeHandler(event)"/>
				</s:VGroup>
			</mx:GridItem>	
				<mx:GridItem styleName="gridLabel">
					<s:Label text="Atividade:"/>
				</mx:GridItem>
				<mx:GridItem styleName="gridValor">
					<s:VGroup>
						<s:Label id="labelValidacaoAtividadePesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteAtividadePesquisa.errorString}"/>
						<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteAtividadePesquisa" dataProvider="{listaAtividadePesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" change="mudarComboBoxAutoComplete_changeHandler(event)"/>
					</s:VGroup>
				</mx:GridItem>		
				
			
		</mx:GridRow>	
		
		<mx:GridRow>	
				
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Categoria do Fornecedor:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoCategoriaFornecedorPesquisa" styleName="labelValidacao" text="{ignComboBoxAutoCompleteCategoriaFornecedorPesquisa.errorString}"/>
					<visual:IgnComboBoxAutoComplete id="ignComboBoxAutoCompleteCategoriaFornecedorPesquisa" dataProvider="{listaCategoriaFornecedorPesquisa}" labelField="descricao" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}" change="mudarComboBoxAutoComplete_changeHandler(event)"/>
				</s:VGroup>
			</mx:GridItem>
			</mx:GridRow>

	</mx:Grid>
		
	</mx:Accordion>
	<mx:Grid>
		<mx:GridRow>
			<mx:GridItem colSpan="6" horizontalAlign="right">
				<mx:Button id="buttonFiltrar" label="Filtrar" click="buttonFiltrarClickHandler(event)"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="6">
				<s:Spacer/>	
			</mx:GridItem>
		</mx:GridRow>

		<mx:GridRow>
			<mx:GridItem colSpan="6" horizontalAlign="center">
				
				
				<mx:LinkButton id="linkButtonPrimeiraPagina" label="&lt;&lt;" click="linkButtonPrimeiraPagina_clickHandler(event)"/>
				<mx:LinkButton id="linkButtonAnteriorPagina" label="&lt;" click="linkButtonAnteriorPagina_clickHandler(event)"/>
				<mx:Label id="labelPaginaAtual" text=""/>
				<mx:LinkButton id="linkButtonProximaPagina" label="&gt;" click="linkButtonProximaPagina_clickHandler(event)"/>
				<mx:LinkButton id="linkButtonUltimaPagina" label="&gt;&gt;" click="linkButtonUltimaPagina_clickHandler(event)"/>				
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="6" horizontalAlign="center">
				<mx:DataGrid height="230" id="datagridListaFornecedor"  width="100%" verticalScrollPolicy="on" horizontalScrollPolicy="on" dataProvider="{listaFornecedor}" doubleClick="datagridListaFornecedor_doubleClickHandler(event)" doubleClickEnabled="true">
					<mx:columns>
						<mx:DataGridColumn visible="false" dataField="id"/>
						<mx:DataGridColumn dataField="id" headerText="Código" resizable="true" width="55"/>
						<mx:DataGridColumn dataField="nomeFantasia" headerText="Nome Fantasia" resizable="true" width="190"/>
						<mx:DataGridColumn dataField="razaoSocial" headerText="Razão Social" resizable="true" width="190"/>
						<mx:DataGridColumn dataField="cnpjCpfFormatado" headerText="CNPJ/CPF" resizable="true" width="130"/>
						<mx:DataGridColumn dataField="inscricaoEstadualRg" headerText="IE/RG" resizable="true" width="130"/>
						<mx:DataGridColumn dataField="tipoPessoa.descricao" headerText="Tipo Pessoa" resizable="true" width="80"/>
						<mx:DataGridColumn dataField="cidade.nome" headerText="Cidade" resizable="true"/>
						<mx:DataGridColumn dataField="dataCadastro" headerText="Dt.Cadastro" resizable="true" labelFunction="DsvObjectUtil.formatDate" width="75"/>
						
<!--
						<mx:DataGridColumn dataField="atividade.descricao" headerText="Atividade" resizable="true"/>
						<mx:DataGridColumn dataField="statusEntidade.descricao" headerText="Status da Entidade" resizable="true"/>
						<mx:DataGridColumn dataField="nomeEtiqueta" headerText="Nome da Etiqueta" resizable="true"/>
						<mx:DataGridColumn dataField="enderecoFornecedor" headerText="Endereço" resizable="true"/>
						<mx:DataGridColumn dataField="complementoEndereco" headerText="Complemento" resizable="true"/>
						<mx:DataGridColumn dataField="bairro" headerText="Bairro" resizable="true"/>
						<mx:DataGridColumn dataField="cepFormatado" headerText="Cep" resizable="true"/>
						<mx:DataGridColumn dataField="contato" headerText="Contato" resizable="true"/>
						<mx:DataGridColumn dataField="operadoraTelefone.nome" headerText="Operadora" resizable="true"/>
						<mx:DataGridColumn dataField="telefoneFormatado" headerText="Telefone" resizable="true"/>
						<mx:DataGridColumn dataField="faxFormatado" headerText="Fax" resizable="true"/>
						<mx:DataGridColumn dataField="observacao" headerText="Observação" resizable="true"/>
						<mx:DataGridColumn dataField="comentario" headerText="Comentário" resizable="true"/>
						<mx:DataGridColumn dataField="email" headerText="E-mail" resizable="true"/>
						<mx:DataGridColumn dataField="inscricaoMunicipal" headerText="Inscrição Municipal" resizable="true"/>
						<mx:DataGridColumn dataField="classificacaoFornecedor.descricao" headerText="Classificação Fornecedor" resizable="true"/>
						<mx:DataGridColumn dataField="categoriaFornecedor.descricao" headerText="Categoria do Fornecedor" resizable="true"/>
						<mx:DataGridColumn dataField="naturezaFornecedor.descricao" headerText="Natureza do Fornecedor" resizable="true"/>
						<mx:DataGridColumn dataField="numeroEndereco" headerText="Número" resizable="true"/>
						<mx:DataGridColumn dataField="operadoraFax.nome" headerText="Operadora" resizable="true"/>
-->
					</mx:columns>
				</mx:DataGrid>
			</mx:GridItem>
		</mx:GridRow>	
		<mx:GridRow>
			
			<mx:GridItem colSpan="3" horizontalAlign="left">
				<mx:Label id="labelTotalRegistro" text=""/>
			</mx:GridItem>
			<mx:GridItem colSpan="3" horizontalAlign="right" >
				<mx:Button id="buttonInserir" label="Novo" click="buttonInserir_clickHandler(event)"/>
				<mx:Button id="buttonFechar" label="Fechar" click="buttonFechar_clickHandler(event)"/>
			</mx:GridItem>	
		</mx:GridRow>
				
	</mx:Grid>


</mx:VBox>
</s:TitleWindow>
